
Installer - Tracker #29746

Merge hooks/ and katello/hooks into a single directory structure

05/12/2020 08:36 PM - Eric Helms

Status: Closed % Done: 100%

Priority: Normal   

Assignee:    

Category: foreman-installer script   

Target version: 3.4.0   

Difficulty:  Fixed in Releases: 3.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

As part of this effort, hooks that have a similar naming scheme or functionality should be reduced to a single parameter.

The current state is having two sets of hooks directories: hooks/ and katello/hooks/. There are some hooks that have similar

functionality and some that are only relevant if Katellos is enabled. The proposal here is to merge the hooks directories and combine

some hooks into one. See [Hooks Cleanup RFC](https://community.theforeman.org/t/rfc-cleaning-up-installer-hooks/17089) for more

details.

Subtasks:

Feature # 29797: Merge --reset-foreman-db and --reset into --reset-data Closed

Refactor # 29798: Move --lock-package-versions to hooks/ Closed

Refactor # 29799: Add --clear-pulp-content to hooks/ and scope on katello module being ... Closed

Feature # 29800: Remove --clear-puppet-environments due to Pulp 3 Closed

Refactor # 29801: Move --tuning option to hooks/ Closed

Refactor # 29803: Add all certs related hooks to hooks/ and scope them on Katello modul... Closed

Feature # 29804: Drop upgrade-mongo-storage-engine from hooks Duplicate

Feature # 29805: Drop --disable-resolve-mismatches Rejected

Feature # 30006: Remove MongoDB Storage Engine Migration Hook Closed

Refactor # 35208: Move puppet certs exist hook to hooks/ Closed

Related issues:

Related to Installer - Feature #29820: Add ability to have a "hook" that is d... New

Related to Installer - Feature #35138: Drop umask check from Katello hooks Closed

Related to Installer - Refactor #27371: Move Installer hook helpers to Kafo w... New

Blocked by Installer - Bug #29296: Drop --upgrade flag from katello hooks Closed

History

#1 - 05/12/2020 08:39 PM - Eric Helms

- Description updated

#2 - 05/14/2020 01:09 AM - Eric Helms

- Blocked by Bug #29296: Drop --upgrade flag from katello hooks added

#3 - 05/14/2020 01:09 AM - Eric Helms

- Related to Bug #29241: Installer should show progress bar for all hooks added

#4 - 05/14/2020 01:13 AM - Eric Helms

- Blocked by Refactor #27371: Move Installer hook helpers to Kafo where they make sense added

#5 - 05/14/2020 03:54 PM - Eric Helms

- Related to Feature #29820: Add ability to have a "hook" that is dedicated to defining new parameters to the installer added

#6 - 06/29/2022 06:15 PM - Ewoud Kohl van Wijngaarden
- Related to Feature #35138: Drop umask check from Katello hooks added

#7 - 07/13/2022 12:39 AM - Eric Helms

- Related to deleted (Bug #29241: Installer should show progress bar for all hooks)

#8 - 08/04/2022 06:19 PM - Ewoud Kohl van Wijngaarden

- Category set to foreman-installer script

- Target version set to 3.4.0

- Triaged changed from No to Yes

This is now resolved. Not sure why I can't close it.

#9 - 08/04/2022 07:48 PM - Ewoud Kohl van Wijngaarden

- Blocked by deleted (Refactor #27371: Move Installer hook helpers to Kafo where they make sense)

#10 - 08/04/2022 07:48 PM - Ewoud Kohl van Wijngaarden

- Related to Refactor #27371: Move Installer hook helpers to Kafo where they make sense added

#11 - 08/04/2022 07:49 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

#12 - 10/05/2022 12:13 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 3.4.0 added
